/**
 * This file is part of pigalle.core.errors.undefined
 *
 * Copyright (c) 2018 SAS 9 Février.
 *
 * Distributed under the MIT License (license terms are at http://opensource.org/licenses/MIT).
 *
 */

const {PigalleBaseError} = require('@pigalle/core.base.error');

/**
 * An error class to throw when an undefined value is passed.
 *
 * @class
 * @public
 */
class UndefinedError extends PigalleBaseError {

  /**
   * Create a new instance of {UndefinedError}.
   *
   * @param args - The arguments.
   * @constructor
   * @public
   */
  constructor(...args) {
    super(...args);
  }
}

module.exports = {};
module.exports.UndefinedError = UndefinedError;